<?php
/* All Theme Options
   the $theme_options is a global variable to define specific theme's theme options
   when $theme_options set it will automaticly insert a new menu called 'Theme Options'
*/

$theme_options = array();

// Create New General Tab
$theme_options[] = array( "name" => "General",
					"class" => "general",
					"id" => "menu-general",
                    "type" => "open-tab");

$theme_options[] = array( "name" => "About Site",
                    "type" => "heading");

$theme_options[] = array( "name" => "About",
					"id" => $shortname . "_note_about",
					"std" => "",
                    "type" => "textarea",
					"desc" => "Write a short story about your site.");

$theme_options[] = array( "name" => "Feedburner ID",
					"id" => $shortname . "_feedburner_id",
					"std" => "",
                    "type" => "text",
					"desc" => "Your feedburner for your site. Example: http://feeds.feedburner.com/<strong>themewarrior</strong>");

$theme_options[] = array( "name" => "Launch Date & Time",
                    "type" => "heading");

$theme_options[] = array( "name" => "Date",
					"id" => $shortname . "_launch_date",
					"std" => date('m/d/Y', time()+(7*24*60*60)),
                    "type" => "text",
					"desc" => "Select the date. Format: MM/DD/YYYY.");
					
$theme_options[] = array( "name" => "Time",
					"id" => $shortname . "_launch_time",
					"std" => date('H:i'),
                    "type" => "text",
					"desc" => "Select the time. Format: HH:MM.");
					
// Close General Tab
$theme_options[] = array( "type" => "close-tab");
						
// Create New Appearance Tab
$theme_options[] = array( "name" => "Appearance",
					"class" => "appearance",
					"id" => "menu-appear",
                    "type" => "open-tab");
					
$theme_options[] = array( "name" => "Styles",
                    "type" => "heading");

$theme_options[] = array( "name" => "Theme Style",
					"id" => $shortname . "_style",
					"std" => "default",
					"options" => array("default", "brown", "dark-blue", "green", "light-blue", "pink", "purple", "red"),
					"type" => "select2",
					"desc" => "Which style should be use for the theme.");

$theme_options[] = array( "name" => "Logo",
					"id" => $shortname . "_logo",
					"std" => "",
                    "type" => "file",
					"desc" => "Upload your logo or type the URL on the text box. Only JPG, GIF and PNG image allowed.");

$theme_options[] = array( "name" => "Favicon",
					"id" => $shortname . "_favicon",
					"std" => "",
                    "type" => "file",
					"desc" => "Upload your favicon. Only JPG, GIF and PNG image allowed. Suggested image dimension 32x32 pixels.");

$theme_options[] = array( "name" => "Font &amp; Color Settings",
                    "type" => "heading");

$theme_options[] = array( "name" => "Enable Font &amp; Color Settings",
					"id" => $shortname . "_enable_color_settings",
					"std" => "No",
                    "type" => "switch",
					"desc" => "Turn it ON to load the settings into your theme.");

$theme_options[] = array( "name" => "Font Family",
					"id" => $shortname . "_font",
					"std" => "Glegoo",
                    "type" => "select2",
					"options" => array('Glegoo','Arial', 'Verdana', 'Tahoma', 'Georgia', 'Lucida Sans'),
					"desc" => "Choose font family.");

$theme_options[] = array( "name" => "Main Text Color",
					"id" => $shortname . "_color_text",
					"std" => "",
                    "type" => "color",
					"desc" => "Enter color code. Example: #333333.");

$theme_options[] = array( "name" => "Main Link Color",
					"id" => $shortname . "_color_link",
					"std" => "",
                    "type" => "color",
					"desc" => "Enter color code. Example: #dedede.");

$theme_options[] = array( "name" => "Main Link Hover Color",
					"id" => $shortname . "_color_hover",
					"std" => "",
                    "type" => "color",
					"desc" => "Enter color code. Example: #ff0000.");

$theme_options[] = array( "name" => "Main Link Visited Color",
					"id" => $shortname . "_color_visited",
					"std" => "",
                    "type" => "color",
					"desc" => "Enter color code. Example: #ff0000.");

$theme_options[] = array( "name" => "Custom CSS Codes",
                    "type" => "heading");

$theme_options[] = array( "name" => "Custom CSS Codes",
					"id" => $shortname . "_custom_css",
					"std" => "",
                    "type" => "textarea",
					"desc" => "Type your custom CSS codes here, alternatively you can also write down you custom CSS styles on the custom.css file located on the theme root directory.");

// Close Appearance Tab
$theme_options[] = array( "type" => "close-tab");		

// Create New Social Networks Tab
$theme_options[] = array( "name" => "Social Network",
 					"class" => "socnet",
					"id" => "menu-socnet",
                   	"type" => "open-tab");

$theme_options[] = array( "name" => "Social Network Profiles",
                    "type" => "heading");

$theme_options[] = array( "name" => "Feed URL",
					"id" => $shortname . "_feed",
					"std" => "",
                    "type" => "text",
					"desc" => "Your site's feed url. Example: http://www.themewarrior.com/feed");

$theme_options[] = array( "name" => "Twitter Profile",
					"id" => $shortname . "_twitter",
					"std" => "http://twitter.com/themewarrior",
                    "type" => "text",
					"desc" => "Your Twitter profile page. Example: http://twitter.com/themewarrior");

$theme_options[] = array( "name" => "Facebook Profile/Page",
					"id" => $shortname . "_facebook",
					"std" => "",
                    "type" => "text",
					"desc" => "Your Facebook profile page. Example: http://www.facebook.com/themewarrior");

$theme_options[] = array( "name" => "Myspace Page",
					"id" => $shortname . "_myspace",
					"std" => "http://www.myspace.com/themewarrior",
                    "type" => "text",
					"desc" => "Your MySpace profile page. Example: http://www.myspace.com/themewarrior");

$theme_options[] = array( "name" => "Linkedin Profile",
					"id" => $shortname . "_linkedin",
					"std" => "",
                    "type" => "text",
					"desc" => "Your LinkedIn profile page. Example: http://www.linkedin.com/in/andrayogi");

$theme_options[] = array( "name" => "Flickr Photos",
					"id" => $shortname . "_flickr",
					"std" => "",
                    "type" => "text",
					"desc" => "Your Flickr Photos page. Example: http://www.flickr.com/photos/themewarrior");

$theme_options[] = array( "name" => "Youtube Videos",
					"id" => $shortname . "_youtube",
					"std" => "",
                    "type" => "text",
					"desc" => "Your YouTube video page. Example: http://www.youtube.com/user/andrastudio");

$theme_options[] = array( "name" => "Vimeo Videos",
					"id" => $shortname . "_vimeo",
					"std" => "http://www.vimeo.com/themewarrior",
                    "type" => "text",
					"desc" => "Your Vimeo video page. Example: http://www.vimeo.com/themewarrior");
					
// Close Social Networks Tab
$theme_options[] = array( "type" => "close-tab");

// Create New Miscellaneous Tab
$theme_options[] = array( "name" => "Miscellaneous",
					"class" => "miscellaneous",
					"id" => "menu-miscellaneous",
                    "type" => "open-tab");

$theme_options[] = array( "name" => "Header &amp; Footer Codes",
                    "type" => "heading");

$theme_options[] = array( "name" => "Header Codes",
					"id" => $shortname . "_header_codes",
					"std" => "",
                    "type" => "textarea",
					"desc" => "Paste any Javascript or CSS codes you want to load in &lt;head&gt;.");

$theme_options[] = array( "name" => "Footer Codes",
					"id" => $shortname . "_footer_codes",
					"std" => "",
                    "type" => "textarea",
					"desc" => "Paste your Google Analytics code or any other codes to be placed on footer.");

$theme_options[] = array( "type" => "close-tab");
?>