/**********************************************************************************************
* CountDown Timer script by Praveen Lobo (http://PraveenLobo.com/techblog/javascript-CountDown-timer/)
* This notice MUST stay intact(in both JS file and SCRIPT tag) for legal use.
* http://praveenlobo.com/blog/disclaimer/
**********************************************************************************************/
function CountDown(initDate, id){
    this.endDate = new Date(initDate);
    this.countainer = document.getElementById(id);
    this.numOfDays = [ 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 ];
    this.borrowed = 0, this.years = 0, this.months = 0, this.days = 0;
    this.hours = 0, this.minutes = 0, this.seconds = 0;
    this.updateNumOfDays();
    this.updateCounter();
}
 
CountDown.prototype.updateNumOfDays=function(){
    var dateNow = new Date();
    var currYear = dateNow.getFullYear();
    if ( (currYear % 4 == 0 && currYear % 100 != 0 ) || currYear % 400 == 0 ) {
        this.numOfDays[1] = 29;
    }
    var self = this;
    setTimeout(function(){self.updateNumOfDays();}, (new Date((currYear+1), 1, 2) - dateNow));
}
 
CountDown.prototype.datePartDiff=function(then, now, MAX){
    var diff = now - then - this.borrowed;
    this.borrowed = 0;
    if ( diff > -1 ) return diff;
    this.borrowed = 1;
    return (MAX + diff);
}
 
CountDown.prototype.calculate=function(){
    var futureDate = this.endDate;
    var currDate = new Date();
    this.seconds = this.datePartDiff(currDate.getSeconds(), futureDate.getSeconds(), 60);
    this.minutes = this.datePartDiff(currDate.getMinutes(), futureDate.getMinutes(), 60);
    this.hours = this.datePartDiff(currDate.getHours(), futureDate.getHours(), 24);
    this.days = this.datePartDiff(currDate.getDate(), futureDate.getDate(), this.numOfDays[futureDate.getMonth()]);
    this.months = this.datePartDiff(currDate.getMonth(), futureDate.getMonth(), 12);
    this.years = this.datePartDiff(currDate.getFullYear(), futureDate.getFullYear(),0);
}
 
CountDown.prototype.addLeadingZero=function(value){
    return value < 10 ? ("0" + value) : value;
}
 
CountDown.prototype.formatTime=function(){
    this.seconds = this.addLeadingZero(this.seconds);
    this.minutes = this.addLeadingZero(this.minutes);
    this.hours = this.addLeadingZero(this.hours);
    this.days = this.addLeadingZero(this.days);
    this.months = this.addLeadingZero(this.months);
    this.years = this.addLeadingZero(this.years);
}
 
CountDown.prototype.updateCounter=function(){
    this.calculate();
    this.formatTime();
    this.countainer.innerHTML =
	   "<div><strong>" + this.years + "</strong> " + (this.years == 1? "year" : "years") + "</div>" +
       "<div><strong>" + this.months + "</strong> " + (this.months == 1? "month" : "months") + "</div>" +
       "<div><strong>" + this.days + "</strong> " + (this.days == 1? "day" : "days") + "</div>" +
       "<div><strong>" + this.hours + "</strong> " + (this.hours == 1? "hour" : "hours") + "</div>" +
       "<div><strong>" + this.minutes + "</strong> " + (this.minutes == 1? "minute" : "minutes") + "</div>" +
       "<div><strong>" + this.seconds + "</strong> " + (this.seconds == 1? "second" : "seconds") + "</div>";
    if ( this.endDate > (new Date()) ) {
        var self = this;
        setTimeout(function(){self.updateCounter();}, 1000);
    }
}


/**********************************************************************************************
* CountUp script by Praveen Lobo (http://PraveenLobo.com/techblog/javascript-countup-timer/)
* This notice MUST stay intact(in both JS file and SCRIPT tag) for legal use.
* http://praveenlobo.com/blog/disclaimer/
**********************************************************************************************/
function CountUp(initDate, id){
    this.beginDate = new Date(initDate);
    this.countainer = document.getElementById(id);
    this.numOfDays = [ 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 ];
    this.borrowed = 0, this.years = 0, this.months = 0, this.days = 0;
    this.hours = 0, this.minutes = 0, this.seconds = 0;
    this.updateNumOfDays();
    this.updateCounter();
}
 
CountUp.prototype.updateNumOfDays=function(){
    var dateNow = new Date();
    var currYear = dateNow.getFullYear();
    if ( (currYear % 4 == 0 && currYear % 100 != 0 ) || currYear % 400 == 0 ) {
        this.numOfDays[1] = 29;
    }
    var self = this;
    setTimeout(function(){self.updateNumOfDays();}, (new Date((currYear+1), 1, 2) - dateNow));
}
 
CountUp.prototype.datePartDiff=function(then, now, MAX){
    var diff = now - then - this.borrowed;
    this.borrowed = 0;
    if ( diff > -1 ) return diff;
    this.borrowed = 1;
    return (MAX + diff);
}
 
CountUp.prototype.calculate=function(){
    var currDate = new Date();
    var prevDate = this.beginDate;
    this.seconds = this.datePartDiff(prevDate.getSeconds(), currDate.getSeconds(), 60);
    this.minutes = this.datePartDiff(prevDate.getMinutes(), currDate.getMinutes(), 60);
    this.hours = this.datePartDiff(prevDate.getHours(), currDate.getHours(), 24);
    this.days = this.datePartDiff(prevDate.getDate(), currDate.getDate(), this.numOfDays[currDate.getMonth()]);
    this.months = this.datePartDiff(prevDate.getMonth(), currDate.getMonth(), 12);
    this.years = this.datePartDiff(prevDate.getFullYear(), currDate.getFullYear(),0);
}
 
CountUp.prototype.addLeadingZero=function(value){
    return value < 10 ? ("0" + value) : value;
}
 
CountUp.prototype.formatTime=function(){
    this.seconds = this.addLeadingZero(this.seconds);
    this.minutes = this.addLeadingZero(this.minutes);
    this.hours = this.addLeadingZero(this.hours);
    this.days = this.addLeadingZero(this.days);
    this.months = this.addLeadingZero(this.months);
    this.years = this.addLeadingZero(this.years);
}
 
CountUp.prototype.updateCounter=function(){
    this.calculate();
    this.formatTime();
    this.countainer.innerHTML =
	   "<div><strong>" + this.years + "</strong> " + (this.years == 1? "year" : "years") + "</div>" +
       "<div><strong>" + this.months + "</strong> " + (this.months == 1? "month" : "months") + "</div>" +
       "<div><strong>" + this.days + "</strong> " + (this.days == 1? "day" : "days") + "</div>" +
       "<div><strong>" + this.hours + "</strong> " + (this.hours == 1? "hour" : "hours") + "</div>" +
       "<div><strong>" + this.minutes + "</strong> " + (this.minutes == 1? "minute" : "minutes") + "</div>" +
       "<div><strong>" + this.seconds + "</strong> " + (this.seconds == 1? "second" : "seconds") + "</div>";
    var self = this;
    setTimeout(function(){self.updateCounter();}, 1000);
}


/**********************************************************************************************
* has been modified to adapted with "the wedding" theme
* by THEMEWARRIOR'S team
* http://www.themewarrior.com
**********************************************************************************************/